Bug 1415752 - [abrt] redshift-gtk: gtk_widget_translate_coordinates(): python3.5 killed by SIGSEGV
Summary: [abrt] redshift-gtk: gtk_widget_translate_coordinates(): python3.5 killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: redshift
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miloš Komarčević
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:445fc628f099e56b05a2cf9cb95...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 16:10 UTC by Shane Ball
Modified: 2017-12-12 10:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:47:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.69 KB, text/plain)
2017-01-23 16:10 UTC, Shane Ball
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-23 16:10 UTC, Shane Ball
no flags Details
File: core_backtrace (9.41 KB, text/plain)
2017-01-23 16:10 UTC, Shane Ball
no flags Details
File: dso_list (11.22 KB, text/plain)
2017-01-23 16:10 UTC, Shane Ball
no flags Details
File: environ (1.48 KB, text/plain)
2017-01-23 16:10 UTC, Shane Ball
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-23 16:11 UTC, Shane Ball
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-23 16:11 UTC, Shane Ball
no flags Details
File: maps (51.27 KB, text/plain)
2017-01-23 16:11 UTC, Shane Ball
no flags Details
File: mountinfo (3.60 KB, text/plain)
2017-01-23 16:11 UTC, Shane Ball
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-23 16:11 UTC, Shane Ball
no flags Details
File: open_fds (839 bytes, text/plain)
2017-01-23 16:11 UTC, Shane Ball
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-23 16:11 UTC, Shane Ball
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-23 16:11 UTC, Shane Ball
no flags Details

Description Shane Ball 2017-01-23 16:10:12 UTC
Description of problem:
i clicked to suspend service and it crashed

Version-Release number of selected component:
redshift-gtk-1.11-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        python3 /usr/bin/redshift-gtk
crash_function: gtk_widget_translate_coordinates
executable:     /usr/bin/python3.5
global_pid:     1805
kernel:         4.9.4-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_translate_coordinates at gtkwidget.c:6287
 #1 _update_widget_coordinates at gtkgesture.c:504
 #2 _gtk_gesture_update_point at gtkgesture.c:611
 #3 gtk_gesture_handle_event at gtkgesture.c:740
 #4 gtk_gesture_single_handle_event at gtkgesturesingle.c:221
 #5 gtk_event_controller_handle_event at gtkeventcontroller.c:230
 #6 controller_handle_wm_event at gtkwindow.c:8071
 #7 gtk_window_handle_wm_event at gtkwindow.c:8100
 #8 _gtk_window_check_handle_wm_event at gtkwindow.c:8138
 #9 gtk_main_do_event at gtkmain.c:1748

Comment 1 Shane Ball 2017-01-23 16:10:43 UTC
Created attachment 1243639 [details]
File: backtrace

Comment 2 Shane Ball 2017-01-23 16:10:46 UTC
Created attachment 1243640 [details]
File: cgroup

Comment 3 Shane Ball 2017-01-23 16:10:53 UTC
Created attachment 1243641 [details]
File: core_backtrace

Comment 4 Shane Ball 2017-01-23 16:10:57 UTC
Created attachment 1243642 [details]
File: dso_list

Comment 5 Shane Ball 2017-01-23 16:10:59 UTC
Created attachment 1243643 [details]
File: environ

Comment 6 Shane Ball 2017-01-23 16:11:02 UTC
Created attachment 1243644 [details]
File: exploitable

Comment 7 Shane Ball 2017-01-23 16:11:03 UTC
Created attachment 1243645 [details]
File: limits

Comment 8 Shane Ball 2017-01-23 16:11:20 UTC
Created attachment 1243647 [details]
File: maps

Comment 9 Shane Ball 2017-01-23 16:11:24 UTC
Created attachment 1243648 [details]
File: mountinfo

Comment 10 Shane Ball 2017-01-23 16:11:27 UTC
Created attachment 1243649 [details]
File: namespaces

Comment 11 Shane Ball 2017-01-23 16:11:30 UTC
Created attachment 1243650 [details]
File: open_fds

Comment 12 Shane Ball 2017-01-23 16:11:34 UTC
Created attachment 1243651 [details]
File: proc_pid_status

Comment 13 Shane Ball 2017-01-23 16:11:37 UTC
Created attachment 1243652 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 15:23:28 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:47:31 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.